PROGRAM zad2_9_4_2006;
CONST GRANICA = 904.06;
TYPE pelem = ^elem;
	 elem = RECORD
		info: real;
		sled: pelem;
	 END;
	 
{dodavanje jednog elementa na kraj neke ulancane liste}
PROCEDURE dodaj(VAR lista:pelem; broj:real);
VAR novi,tek:pelem;
BEGIN
	new(novi);
	novi^.info:= broj;
	novi^.sled:= NIL;
	IF lista = NIL THEN
		lista:= novi
	ELSE BEGIN
		tek:= lista;
	WHILE tek^.sled <> NIL DO
		tek:= tek^.sled;
	tek^.sled:= novi;
	END;
END;

{ucitava listu uz pomoc procedure za dodavanje jednog elementa}
PROCEDURE ucitaj(VAR lista:pelem);
VAR broj:real;
BEGIN
	{radimo ucitavanje i dodavanje dokle god u redu imamo brojeve
	koji su neprocitani (dok ne dodjemo do kraja reda)}
	WHILE NOT eoln(input) DO BEGIN
		read(broj);
		dodaj(lista,broj);
	END;
END;

PROCEDURE obrisi(VAR lista:pelem);
VAR stari,tek:pelem;
BEGIN
	tek:=lista;
	WHILE tek <> NIL DO BEGIN
		stari:= tek;
		tek:= tek^.sled;
		dispose(stari);
	END;
	lista:= NIL;
END;

PROCEDURE obrada(lista:pelem);
VAR tek:pelem;
BEGIN
	tek:= lista;
	WHILE tek <> NIL DO BEGIN
		IF (tek^.info * tek^.info * tek^.info) > GRANICA THEN
			writeln(tek^.info);
		tek:= tek^.sled;
	END;
END;

VAR lista:pelem;
BEGIN
	lista:= NIL;
	ucitaj(lista);
	obrada(lista);
	obrisi(lista);
END.